Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 622900 - media-video/ffmpeg: add useflag for ocr via app-text/tesseract
Summary: media-video/ffmpeg: add useflag for ocr via app-text/tesseract
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-28 09:05 UTC by Timo Rothenpieler
Modified: 2019-10-02 11:52 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Rothenpieler 2017-06-28 09:05:47 UTC
ffmpeg supports ocr via app-text/tesseract

It would be nice if a useflag, possibly called ocr or tesseract, which both already exist on some packages, would be added for it.

It exists at least since ffmpeg 3.2.
Comment 1 Alexis Ballier gentoo-dev 2019-08-22 13:39:30 UTC
app-text/tesseract needs to have multilib support for this

cc'ing maintainers
Comment 2 Bernard Cafarelli gentoo-dev 2019-08-26 10:37:04 UTC
leptonica (and other dependencies) already supported multilib, so it was not too complicated to add support in tesseract.
Comment 3 Larry the Git Cow gentoo-dev 2019-08-26 10:40:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=569e97daacd0f990661927f2141717984979512d

commit 569e97daacd0f990661927f2141717984979512d
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2019-08-26 10:38:48 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2019-08-26 10:39:13 +0000

    app-text/tesseract: add multilib support
    
    This can be used to add tesseract support in media-video/ffmpeg
    
    Bug: https://bugs.gentoo.org/622900
    Package-Manager: Portage-2.3.73, Repoman-2.3.17
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 app-text/tesseract/tesseract-4.1.0-r1.ebuild | 91 ++++++++++++++++++++++++++++
 1 file changed, 91 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2019-10-02 11:52:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27db0f5502ded7445f30587e1d08be77d1537b68

commit 27db0f5502ded7445f30587e1d08be77d1537b68
Author:     Alexis Ballier <aballier@gentoo.org>
AuthorDate: 2019-10-02 11:25:43 +0000
Commit:     Alexis Ballier <aballier@gentoo.org>
CommitDate: 2019-10-02 11:51:50 +0000

    media-video/ffmpeg: add libtesseract useflag.
    
    Closes: https://bugs.gentoo.org/622900
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Alexis Ballier <aballier@gentoo.org>

 media-video/ffmpeg/ffmpeg-4.2.1.ebuild | 3 ++-
 media-video/ffmpeg/ffmpeg-9999.ebuild  | 3 ++-
 media-video/ffmpeg/metadata.xml        | 1 +
 3 files changed, 5 insertions(+), 2 deletions(-)